Bug 1885930 - [release 4.7] Collect ServiceAccount statistics
Summary: [release 4.7] Collect ServiceAccount statistics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Tomas Remes
QA Contact: Pavel Šimovec
URL:
Whiteboard:
Depends On:
Blocks: 1885937 1885941
TreeView+ depends on / blocked
 
Reported: 2020-10-07 10:04 UTC by Martin Kunc
Modified: 2021-02-24 15:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Collect the service account info Reason: There was Insights Nomination https://issues.redhat.com/browse/INSIGHTOCP-75 to help diagnosing https://bugzilla.redhat.com/show_bug.cgi?id=1855706 Result: The number of service accounts in Kubernetes/OpenShift default/built-in namespaces is collected.
Clone Of:
: 1885935 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:23:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:10 UTC

Description Martin Kunc 2020-10-07 10:04:23 UTC
This is adding collection of ServiceAccounts statistics from Openshift namespaces

Comment 2 Pavel Šimovec 2020-10-09 09:15:07 UTC
added check to e2e tests for pattern ^config/serviceaccounts\.json$

Archive contains
config/serviceaccounts.json

verified on 4.7.0-0.ci-2020-10-09-055453
> oc get clusterversion
NAME      VERSION                        AVAILABLE   PROGRESSING   SINCE     STATUS
version   4.7.0-0.ci-2020-10-09-055453   True        False         12m       Cluster version is 4.7.0-0.ci-2020-10-09-055453

Comment 6 errata-xmlrpc 2021-02-24 15:23:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.